import { Entity, PrimaryColumn, Column, ManyToOne } from "typeorm";
import Actor from "./Actor";

@Entity()
export default class Note {

	@PrimaryColumn()
	id: string;

	@Column()
	content: string;

	@Column()
	attributedTo: string;

	@Column()
	inReplyTo: string;

	@Column()
	conversation: string;

	@Column()
	published: string;

	@ManyToOne(type => Actor, actor => actor.notes)
	actor: Actor;
}
