```
metadata.title = "Overview"
metadata.date = "2016-05-06 10:00:00 -0400"
metadata.series = "forge-modding-1112"
metadata.seriesName = "Forge Mods for 1.11.2"
```

### About
This series of tutorials teaches modding [Minecraft](https://minecraft.net) version 1.11.2 using [Forge](http://minecraftforge.net).

**This tutorial series does not teach Java. You should already know Java before you try to mod Minecraft.**

### Tutorials
- [Setting up the Development Environment](../workspace-setup/)
- [Main Mod Class](../main-mod-class/)
- [Proxy System](../proxy-system/)
- [Basic Items](../basic-items/)
- [JSON Item Models](../json-item-models/)
- [Basic Blocks](../basic-blocks/)
- [Basic Forge Blockstates](../basic-forge-blockstates/)
- [Localization](../localization/)
- [Crops](../crops/)
- [Creative Tabs](../creative-tabs/)
- [Advanced Creative Tabs](../advanced-creative-tabs/)
- [Crafting/Smelting Recipes](../crafting-smelting-recipes/)
- [Ore Dictionary](../ore-dictionary/)
- [JSON Block Models](../json-block-models/)
- [Food](../food/)
- [Tools](../tools/)
- [Armor](../armor/)
- [World Generation: Ore](../world-generation-ore/)
- _Interlude:_ [Updating to 1.11](../updating-to-1112/)
- World Generation: Tree
- World Generation: Structure
- mcmod.info
- [Tile Entities](../tile-entities/)
- [Tile Entities with Inventory](../tile-entities-inventory/)
- [Tile Entities with Inventory GUI](../tile-entities-inventory-gui/)
- [Dynamic Tile Entity Rendering](../dynamic-tile-entity-rendering/)
- Advanced GUIs with Widgets
- Energy API - RF - Items
- Energy API - RF - Blocks
- Energy API - RF - GUI Widget
- Energy API - Tesla - Items
- Energy API - Tesla - Blocks
- Energy API - Tesla - GUI Widget
- Energy API - Forge Energy - Items
- Energy API - Forge Energy - Blocks
- Energy API - Forge Energy - GUI Widget
- Configuration
- Packets and Packet Handlers
- Event Handling
- Keybindings
- Commands

### Other Resources
- [Forge Forum](http://minecraftforge.net/)
- [Forge Docs](https://mcforge.readthedocs.io/en/latest/)
- #minecraftforge ([esper](https://esper.net)) IRC
- [TheGreyGhost's Blog](http://greyminecraftcoder.blogspot.com.au/p/list-of-topics.html)
- [MinecraftByExample](https://github.com/TheGreyGhost/MinecraftByExample)
